---
- name: Prepare

  hosts: all
  tasks:

    - name: Upgrade all packages (apt)
      apt:
        upgrade: dist
        autoremove: true

    - name: Ensure required packages are installed (apt)
      apt:
        name: "iproute2"
        update_cache: true
        state: present
